%define python3_pkgversion 3.11
# Created by pyp2rpm-3.3.10
%global pypi_name jmespath
%global pypi_version 1.0.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        3%{?dist}
Summary:        JSON Matching Expressions

License:        MIT
URL:            https://github.com/jmespath/jmespath.py
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%description
 JMESPath (pronounced "james path") allows you to declaratively specify how to
extract elements from a JSON document.For example, given this document::
{"foo": {"bar": "baz"}}The jmespath expression foo.bar will return
"baz".JMESPath also supports:Referencing elements in a list. Given the data::
{"foo": {"bar": ["one", "two"]}}The expression: foo.bar[0] will return "one".
You can also...

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
 JMESPath (pronounced "james path") allows you to declaratively specify how to
extract elements from a JSON document.For example, given this document::
{"foo": {"bar": "baz"}}The jmespath expression foo.bar will return
"baz".JMESPath also supports:Referencing elements in a list. Given the data::
{"foo": {"bar": ["one", "two"]}}The expression: foo.bar[0] will return "one".
You can also...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/jp.py{,-%{python3_version}}


%check
%{pytest}

%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/jp.py-%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Apr 28 2025 Carlos Heiras <carlos.heiras@oracle.com> - 1.0.1-3
- Rename jp binary to avoid conflicts with other python versions

* Thu Oct 31 2024 Denis Kishenko <denis.kishenko@oracle.com> - 1.0.1-2
- Bump for release

* Mon Jul 22 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.0.1-1
- Initial package.
